/*
 * serIO.c:
 * Header-Datei fuer die
 * Eingabe und Ausgabe ueber die serielle Schnittstelle.
 *
 * Jan Bredereke, 2019, 2024
 */

#ifndef SERIO_H
#define SERIO_H


/* Die oeffentlichen Methoden: */
/* --------------------------- */

/* Holt ein einzelnes Zeichen von der seriellen Schnittstelle, ohne
 * darauf zu warten. */
/* Falls kein Zeichen da ist, wird Null zurueckgegeben. */
char serIn(void);

/* Holt ein einzelnes Zeichen von der seriellen Schnittstelle und
 * wartet ggf., bis eines da ist. */
char serWaitIn(void);

/* Gibt ein Zeichen ueber die serielle Schnittstelle aus. */
/* Wartet nur, falls zur Zeit eine fruehrere solche Ausgabeoperation
 * noch nicht abgeschlossen ist. */
void serCharOut(char zeichen);

/* Gibt einen String ueber die serielle Schnittstelle aus. */
void serStringOut(char *string);

/* Initialisiert die Eingabe+Ausgabe ueber die serielle Schnittstelle. */
void serInit(void);

#endif
